Index: Fl_Tabs.cxx
===================================================================
--- Fl_Tabs.cxx	(revision 9847)
+++ Fl_Tabs.cxx	(working copy)
@@ -173,11 +173,14 @@
         Fl::focus(this);
         redraw_tabs();
       }
-      if (o && value(o)) {
-        Fl_Widget_Tracker wp(o);
-        set_changed();
-	do_callback();
-	if (wp.deleted()) return 1;
+      if (o) {
+        int change = value(o);
+        if (change || (when() & FL_WHEN_NOT_CHANGED)) {
+	  Fl_Widget_Tracker wp(o);
+	  if (change) set_changed();
+	  do_callback();
+	  if (wp.deleted()) return 1;
+	}
       }
       Fl_Tooltip::current(o);
     } else {
